## sysnews 0.8

=== Makefile ===
# Makefile for news	int@link.xs4all.nl
#
# $Revision: 1.5 $
#

# system news location
NEWSDIR =/var/sysnews
# file in $HOME which indicates the last time news was read
NEWSTIME=.news_time

CC	= gcc
DEFS	= -DNEWSDIR=\"$(NEWSDIR)\" -DNEWSTIME=\"$(NEWSTIME)\"
CFLAGS	= -Wall -O2
LDFLAGS = -s

PREFIX	= /usr/local


OBJECTS = news.o getopt.o

%.o: %.c
	$(CC) $(CFLAGS) $(DEFS) -c -o $@ $<

all:	 news manpage

news:	 $(OBJECTS)
	 $(CC) $(LDFLAGS) -o $@ $(OBJECTS)

manpage: news.man
	 sed -e s,/var/sysnews,$(NEWSDIR),g\
	     -e s,.news_time,$(NEWSTIME),g < news.man > news.1

install: all
	 install -o bin -g bin -m 555 news $(PREFIX)/bin
	 install -m 444 news.1 $(PREFIX)/man/man1

clean:
	rm -f news $(OBJECTS) news.1

## sysnews 0.9

=== debian/changelog ===
sysnews (0.9-18) unstable; urgency=medium

  * QA upload.
  * Reset maintainer field to the Debian QA Group.
  * Declare that sysnews requires (fake)root for building (due to
    static non-root:root ownership).
  * Comment out old Vcs fields pointing to Alioth now that Alioth
    has been decommissioned.
  * Rewrite d/rules to use override targets instead of deprecated
    manual sequence control commands.
  * Bump debhelper compat to 11.
  * Use https:// url in d/watch.

 -- Niels Thykier <niels@thykier.net>  Sun, 25 Nov 2018 14:11:21 +0000

sysnews (0.9-17) unstable; urgency=low

  * Update my email address
  * Move to a new git repository at collab-maint
  * Add README to package, thanks to Willi Mannfor the bug report
    (Closes: #631104)
  * Use debian source format 3.0 quilt
    - Remove quilt dependency as it is handled by dpkg
  * Add new build-{arch,indep} targets to debian/rules
  * Use dpkg-buildflags for hardening
  * Update Standards-Version to 3.9.3

 -- Ryan Niebur <ryan@debian.org>  Mon, 18 Jun 2012 17:38:30 -0700

sysnews (0.9-16) unstable; urgency=low

  * New maintainer (Closes: #483250)
    - Change Vcs-* headers
  * use quilt
  * switch to dh7
  * split up patches
    - upstream's Makefile already regenerates the man page with the
      NEWSDIR set correctly, so just use the regenerated version
      rather than patching
    - stop patching the Makefile when the changes can happen in
      debian/rules
    - organize the remaining changes
  * fix permissions on executable
  * stop supporting upgrades from potato :p
  * upgrade to latest policy (3.8.0)
    - add README.source
  * leave the debian/dirs, as it is actually needed
  * redo copyright file to be more clear
  * remove unneeded build dependency on dpkg-dev
  * add lintian override for non-standard-dir-perm
  * remove the default WELCOME. There was no easy way to make it comply
    with Debian Policy, and imho it's kinda useless, since most people
    probably remove/change it anyway.

 -- Ryan Niebur <ryanryan52@gmail.com>  Tue, 24 Feb 2009 17:08:35 -0800

sysnews (0.9-15) unstable; urgency=low

  * Orphaned the package.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2008 18:49:13 -0400

sysnews (0.9-14) unstable; urgency=low

  * Support nostrip builds. Closes: #438082

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Aug 2007 13:35:43 -0400

sysnews (0.9-13) unstable; urgency=low

  * Update to current standards version.

 -- Joey Hess <joeyh@debian.org>  Sat, 23 Jul 2005 19:44:15 -0400

sysnews (0.9-12) unstable; urgency=low

  * Ignore directories in /var/lib/sysnews to allow for keeping it in
    cvs/rcs. Closes: #182135

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Feb 2003 19:10:20 -0500

sysnews (0.9-11) unstable; urgency=low

  * Use /usr/bin/pager as fallback pager, not /usr/bin/more.

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Sep 2002 13:46:30 -0400

sysnews (0.9-10) unstable; urgency=low

  * Detect old potato version of WELCOME file and clobber it with the new
    version. Closes: #159054

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Sep 2002 13:42:11 -0400

sysnews (0.9-9) unstable; urgency=low

  * Debhelper v4.
  * Support DEB_BUILD_OPTIONS

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 19:18:22 -0400

sysnews (0.9-8) unstable; urgency=low

  * Move the news directory from /var/news to /var/lib/sysnews, for better FHS
    compliance (sadly, /var/lib/news was taken already). Updated everything
    to reference the new location, and any directory contents are transferred
    automatically on upgrade, and the old directory removed.
  * Remove any news items on purge. I hope this is not going too far.
  * Make /var/lib/news owned by root.staff, and group writable, this is
    intended to let other non-root staff to post news, and closly parrallels
    the permissions used in /usr/local/.
  * Changed references to "Debian Linux" to just "Debian" in WELCOME,
    so I don't have to add the "GNU", and because of the Hurd, of course.
    Also changed the quotes, and shortened the section about info. It's still
    longer than 25 lines; I still need to cut it down somehow.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Dec 2001 01:04:10 -0500

sysnews (0.9-7) unstable; urgency=low

  * Whoops; the cron job was accidentually renamed from cron.daily/news to
    cron.daily/sysnewsnews, leaving the old file around. I'm not going to
    move it back, but the preinst now renames the old file to
    sysnews.dpkg-old if it exists, so normal dpkg conffile handling takes
    over. Closes: #83389
  * Made the cron job notice if he package is not installed and terminate
    sanely.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Jan 2001 13:51:04 -0800

sysnews (0.9-6) unstable; urgency=low

  * Yes, optional is the right priority.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Jan 2001 15:57:32 -0800

sysnews (0.9-5) unstable; urgency=low

  * New maintainer, Closes: #82450
  * Added build depends.
  * Use debhelper.
  * A few other minor changes.
  * Retry with non-broken dpkg-dev.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Jan 2001 12:05:00 -0800

sysnews (0.9-4) unstable; urgency=low

  * news.c: ignore files with names ending ~ (#35244)

 -- Mark Baker <mbaker@iee.org>  Wed,  7 Jul 1999 01:20:29 +0100

sysnews (0.9-3) unstable; urgency=low

  * debian/rules: clean rule deletes debian/files (#25206) and *~

 -- Mark Baker <mbaker@iee.org>  Mon,  5 Jul 1999 22:58:13 +0100

sysnews (0.9-2) unstable; urgency=low

  * Updated standards-version to 2.4.0.0 (no changes)

 -- Mark Baker <mbaker@iee.org>  Wed, 11 Feb 1997 21:27:12 +0000

sysnews (0.9-1) unstable; urgency=low

  * New upstream version
  * Signifcantly tidied up rules file

 -- Mark Baker <mbaker@iee.org>  Mon, 27 Oct 1997 22:59:55 +0000

sysnews (0.8-9) unstable; urgency=low

  * Do a dpkg-shlibdeps, instead of having hard coded values (#12494)

 -- Mark Baker <mbaker@iee.org>  Sat, 06 Sep 1997 22:59:59 +0100

sysnews (0.8-8) unstable; urgency=low



=== debian/control ===
Source: sysnews
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 11)
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.3
Rules-Requires-Root: binary-targets
#Vcs-Git: git://git.debian.org/git/collab-maint/sysnews.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/sysnews.git;a=summary

Package: sysnews
Architecture: any
Conflicts: news
Replaces: news
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: program to display system news
 The news command keeps you informed of news concerning the system.
 Each news item is contained in a separate file in the /var/lib/sysnews
 directory. Anyone having write permission to this directory can create
 a news file.
 .
 NOTE: This command has nothing to do with USENET news. It's more like an
 enhanced motd.

=== debian/watch ===
version=2
https://www.ibiblio.org/pub/Linux/system/admin/login/ news-(.*).tgz

## sysnews 0.9+ds.1

=== Makefile ===
# Makefile for news	int@link.xs4all.nl
#
# $Revision: 1.6 $
#

VERSION = 0.9

# system news location
NEWSDIR =/var/sysnews
# file in $HOME which indicates the last time news was read
NEWSTIME=.news_time

CC	= gcc
DEFS	= -DNEWSDIR=\"$(NEWSDIR)\" -DNEWSTIME=\"$(NEWSTIME)\" -DVERSION=\"$(VERSION)\"
CFLAGS	= -Wall -O2
LDFLAGS = -s

PREFIX	= /usr/local


OBJECTS = news.o getopt.o

%.o: %.c Makefile
	$(CC) $(CFLAGS) $(DEFS) -c -o $@ $<

all:	 news manpage

news:	 $(OBJECTS)
	 $(CC) $(LDFLAGS) -o $@ $(OBJECTS)

manpage: news.man Makefile
	 sed -e s,/var/sysnews,$(NEWSDIR),g\
	     -e s,.news_time,$(NEWSTIME),g < news.man > news.1

install: all
	 install -o bin -g bin -m 555 news $(PREFIX)/bin
	 install -m 444 news.1 $(PREFIX)/man/man1

release:
	 tar -cvzf news-$(VERSION).tgz \
	  Makefile README getopt.c getopt.h news.c news.h news.man

clean:
	rm -f news $(OBJECTS) news.1

=== debian/changelog ===
sysnews (0.9+ds.1-3) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
  * debian/copyright:
      - Added packaging rights for Jelmer Vernooĳ.
      - Converted the last paragraph of the GPL-2/GPL-2+ in a comment.
      - Updated packaging copyright years.
  * debian/rules: replaced override_dh_fixperms with execute_after_dh_fixperms.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 26 Jan 2026 21:14:02 -0300

sysnews (0.9+ds.1-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 0.9-2.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 21:22:10 +0000

sysnews (0.9+ds.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.9+ds.1.
  * Set upload to unstable.
  * debian/copyright: added a comment to explain about the upstream tarball
    repack.
  * debian/watch: added a dversionmangle to handle +ds suffix.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Aug 2021 22:18:35 -0300

sysnews (0.9-19) experimental; urgency=medium

  * QA upload.
  * Ran wrap-and-sort.
  * debian/control:
      - Added a Homepage field.
      - Bumped Standards-Version to 4.5.1.
      - Migrated DH level to 13.
      - Re-enabled Vcs fields and pointing to Salsa.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/patches/:
      - Added a numeric prefix to all patches.
      - Added the suffix '.patch' to all patches.
      - Added a header to each patch.
      - header-changes: dropped because this patch injects Debian maintainers
        names in upstream source code and modifies upstream licensing from
        GPL-2 to GPL-2+ without a previous contact with the upstream. Also,
        this patch had no practical effect on the final binary.
      - 050_fix-manpage.patch: created to fix a typo in manpage.
  * debian/README.source: removed because this file was providing a deprecated
    information.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/sysnews.lintian-overrides: renamed to lintian-overrides.
  * debian/tests/control: created to provide trivial CI tests.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped version to 4.
      - Improved the search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 10 Jul 2021 12:21:34 -0300

=== debian/control ===
Source: sysnews
Section: admin
Build-Depends: debhelper-compat (= 13)
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.3
Rules-Requires-Root: binary-targets
Homepage: https://www.ibiblio.org/pub/Linux/system/admin/login/
Vcs-Browser: https://salsa.debian.org/debian/sysnews
Vcs-Git: https://salsa.debian.org/debian/sysnews.git

Package: sysnews
Architecture: any
Conflicts: news
Replaces: news
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: program to display system news
 The news command keeps you informed of news concerning the system.
 Each news item is contained in a separate file in the /var/lib/sysnews
 directory. Anyone having write permission to this directory can create
 a news file.
 .
 NOTE: This command has nothing to do with USENET news. It's more like an
 enhanced motd.

=== debian/rules ===
#!/usr/bin/make -f

NEWSDIR=/var/lib/sysnews

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- NEWSDIR=$(NEWSDIR) LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS) $(CPPFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=debian/sysnews/usr NEWSDIR=$(NEWSDIR)

execute_after_dh_fixperms:
	chown root.staff debian/sysnews/var/lib/sysnews
	chmod g+ws debian/sysnews/var/lib/sysnews

=== debian/watch ===
Version: 5

Source: https://www.ibiblio.org/pub/Linux/system/admin/login/
Matching-Pattern: news-(\d\S+)@ARCHIVE_EXT@
Dversionmangle: s/\+ds\.\d+//
